
%global meadversion 3.0.1
%global namedversion 3.0.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package resteasy-spring}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.1.Final-redhat-00001

Name:           %{?scl_prefix}resteasy-spring
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        RESTEasy Spring integration
Group:          Development/Java

%if %with mead
Source100: resteasy-spring-parent-3.0.1.Final-redhat-00001-project-sources.tar.gz
Source102: resteasy-spring-parent-3.0.1.Final-redhat-00001.pom
Source103: resteasy-spring-3.0.1.Final-redhat-00001.pom
Source104: resteasy-integration-tests-spring-web-3.0.1.Final-redhat-00001.pom
Source105: resteasy-integration-tests-spring-web-deployment-3.0.1.Final-redhat-00001.jar
Source106: resteasy-integration-tests-spring-deployment-3.0.1.Final-redhat-00001.pom
Source107: resteasy-spring-3.0.1.Final-redhat-00001.jar
Source108: shared-3.0.1.Final-redhat-00001.jar
Source109: resteasy-spring-web-3.0.1.Final-redhat-00001.jar
Source110: resteasy-undertow-spring-3.0.1.Final-redhat-00001.pom
Source111: resteasy-spring-bom-3.0.1.Final-redhat-00001.pom
Source112: resteasy-integration-tests-spring-unit-3.0.1.Final-redhat-00001.jar
Source113: resteasy-integration-tests-spring-inmodule-3.0.1.Final-redhat-00001.jar
Source114: resteasy-integration-tests-spring-unit-3.0.1.Final-redhat-00001.pom
Source115: resteasy-integration-tests-spring-deployment-3.0.1.Final-redhat-00001.jar
Source116: resteasy-spring-testsuite-3.0.1.Final-redhat-00001.pom
Source117: resteasy-integration-tests-spring-web-deployment-3.0.1.Final-redhat-00001.pom
Source118: galleon-feature-pack-3.0.1.Final-redhat-00001.zip
Source119: galleon-feature-pack-3.0.1.Final-redhat-00001.pom
Source120: resteasy-spring-test-bom-3.0.1.Final-redhat-00001.pom
Source121: resteasy-spring-web-3.0.1.Final-redhat-00001.pom
Source122: shared-3.0.1.Final-redhat-00001-sources.jar
Source123: galleon-feature-pack-3.0.1.Final-redhat-00001-artifact-list.txt
Source124: resteasy-spring-web-3.0.1.Final-redhat-00001-sources.jar
Source125: resteasy-integration-tests-spring-inmodule-3.0.1.Final-redhat-00001.pom
Source126: galleon-feature-pack-3.0.1.Final-redhat-00001-sources.jar
Source127: resteasy-integration-tests-spring-3.0.1.Final-redhat-00001.pom
Source128: resteasy-undertow-spring-3.0.1.Final-redhat-00001.jar
Source129: resteasy-undertow-spring-3.0.1.Final-redhat-00001-sources.jar
Source130: resteasy-spring-3.0.1.Final-redhat-00001-sources.jar
Source131: galleon-feature-pack-3.0.1.Final-redhat-00001.jar
Source132: shared-3.0.1.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/resteasy/resteasy-microprofile
BuildArch:      noarch
BuildRoot:      %{_tmppath}/resteasy-spring-%{namedversion}-%{release}-root

%description
RESTEasy Spring integration.

%if %with javadoc
%package javadoc
Summary:        Javadoc for resteasy-spring
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n resteasy-spring-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/resteasy-spring-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/resteasy-spring-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/resteasy-spring-%{namedversion} -x META-INF/\*
%{__ln_s} resteasy-spring-%{namedversion} %{buildroot}%{_javadocdir}/resteasy-spring
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}resteasy-spring
%defattr(0644,root,root,0755)
%doc LICENSE README.md
%{_javadir}/resteasy-spring-%{namedversion}.jar
%{_javadir}/resteasy-spring.jar
%if %with javadoc
%{_javadir}/resteasy-spring-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-spring-javadoc.jar
%endif
%{_javadir}/resteasy-spring-%{namedversion}-sources.jar
%{_javadir}/resteasy-spring-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/resteasy-spring-%{namedversion}
%{_javadocdir}/resteasy-spring
%endif

%changelog
* Tue Feb 21 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.0.1-1.Final_redhat_00001.1
- Built by CPaaS

* Thu Oct 27 2022 Yong Yang <yyang@redhat.com> - 3.0.0-1.Alpha3_redhat_00001.1
- 3.0.0.Alpha3-redhat-00001

* Thu Oct 27 2022 Yong Yang <yyang@redhat.com> - 3.0.0-1.Alpha3-redhat-00001.1
- 3.0.0.Alpha3-redhat-00001
